Package com.ocient.cli

# Class PasswordMaskingCallback

java.lang.Object
com.ocient.cli.PasswordMaskingCallback

All Implemented Interfaces:
  `org.jline.reader.MaskingCallback`

public final class PasswordMaskingCallback extends Object implements org.jline.reader.MaskingCallback

## Constructor Summary

Constructors
Constructor
Description
`PasswordMaskingCallback(boolean shouldMask)`

## Method Summary

Modifier and Type
Method
Description
`String`
`display(String line)`
`String`
`history(String line)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PasswordMaskingCallback

public PasswordMaskingCallback(boolean shouldMask)

## Method Details

### display

public String display(String line)

Specified by:
  `display` in interface `org.jline.reader.MaskingCallback`

### history

public String history(String line)

Specified by:
  `history` in interface `org.jline.reader.MaskingCallback`